Subject: Re: [PATCH] [POWERPC] Fix handling of memreserve if the range lands in highmem

From: Scott Wood <[email-masked]>
Date: Wed, 09 Jan 2008 13:30:44 -0600

Kumar Gala wrote:
> On Jan 9, 2008, at 12:53 PM, Scott Wood wrote:
>> It looks like if the reserved area straddles the highmem boundary, it'll
>> only reserve the highmem portion.
> 
> Yeah, I thought about that.  I'm wondering if we should warn about 
> this.. its seems like a bad thing to do.

How is the firmware supposed to know where Linux sets its lowmem limit? 
  I think this is something that needs to be handled.

-Scott